Deploy a GitHub repository to a new Vers project.
curl --request POST \
--url https://api.example.com/api/v1/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo": "<string>",
"branch": "<string>",
"name": "<string>",
"settings": {
"build_command": "<string>",
"install_command": "<string>",
"run_command": "<string>",
"working_directory": "<string>"
}
}
'import requests
url = "https://api.example.com/api/v1/deploy"
payload = {
"repo": "<string>",
"branch": "<string>",
"name": "<string>",
"settings": {
"build_command": "<string>",
"install_command": "<string>",
"run_command": "<string>",
"working_directory": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo: '<string>',
branch: '<string>',
name: '<string>',
settings: {
build_command: '<string>',
install_command: '<string>',
run_command: '<string>',
working_directory: '<string>'
}
})
};
fetch('https://api.example.com/api/v1/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}POST
/
api
/
v1
/
deploy
Deploy a GitHub repository to a new Vers project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /api/v1/deploy.
⌘I